## GstMpegtsMetadataDescriptor

The metadata descriptor specifies parameters of a metadata service carried in an MPEG-2 Transport Stream (or Program Stream). The descriptor is included in the PMT in the descriptor loop for the elementary stream that carries the metadata service. The descriptor specifies the format of the associated metadata, and contains the value of the metadata_service_id to identify the metadata service to which the metadata descriptor applies.

Note that this structure does not include all of the metadata_descriptor items, and will need extension to support DSM-CC and private data. See ISO/IEC 13818-1:2018 Section 2.6.60 and Section 2.6.61 for more information.

### Members

`metadata_application_format` (guint16) –

specifies the application responsible for defining usage, syntax and semantics

`metadata_format` (GstMpegtsMetadataFormat) –

indicates the format and coding of the metadata

`metadata_format_identifier` (guint32) –

format identifier (equivalent to registration descriptor), for example 0x4B4C4641 ('KLVA') to indicate SMPTE 336 KLV.

`metadata_service_id` (guint8) –

metadata service to which this metadata descriptor applies, typically 0x00

`decoder_config_flags` (guint8) –

decoder flags, see ISO/IEC 13818-1:2018 Table 2-88.

`dsm_cc_flag` (gboolean) –

true if stream associated with this descriptor is in an ISO/IEC 13818-6 data or object carousel.

Since : 1.24

## GstMpegts.MetadataDescriptor

The metadata descriptor specifies parameters of a metadata service carried in an MPEG-2 Transport Stream (or Program Stream). The descriptor is included in the PMT in the descriptor loop for the elementary stream that carries the metadata service. The descriptor specifies the format of the associated metadata, and contains the value of the metadata_service_id to identify the metadata service to which the metadata descriptor applies.

Note that this structure does not include all of the metadata_descriptor items, and will need extension to support DSM-CC and private data. See ISO/IEC 13818-1:2018 Section 2.6.60 and Section 2.6.61 for more information.

### Members

`metadata_application_format` (Number) –

specifies the application responsible for defining usage, syntax and semantics

`metadata_format` (GstMpegts.MetadataFormat) –

indicates the format and coding of the metadata

`metadata_format_identifier` (Number) –

format identifier (equivalent to registration descriptor), for example 0x4B4C4641 ('KLVA') to indicate SMPTE 336 KLV.

`metadata_service_id` (Number) –

metadata service to which this metadata descriptor applies, typically 0x00

`decoder_config_flags` (Number) –

decoder flags, see ISO/IEC 13818-1:2018 Table 2-88.

`dsm_cc_flag` (Number) –

true if stream associated with this descriptor is in an ISO/IEC 13818-6 data or object carousel.

Since : 1.24

## GstMpegts.MetadataDescriptor

The metadata descriptor specifies parameters of a metadata service carried in an MPEG-2 Transport Stream (or Program Stream). The descriptor is included in the PMT in the descriptor loop for the elementary stream that carries the metadata service. The descriptor specifies the format of the associated metadata, and contains the value of the metadata_service_id to identify the metadata service to which the metadata descriptor applies.

Note that this structure does not include all of the metadata_descriptor items, and will need extension to support DSM-CC and private data. See ISO/IEC 13818-1:2018 Section 2.6.60 and Section 2.6.61 for more information.

### Members

`metadata_application_format` (int) –

specifies the application responsible for defining usage, syntax and semantics

`metadata_format` (GstMpegts.MetadataFormat) –

indicates the format and coding of the metadata

`metadata_format_identifier` (int) –

format identifier (equivalent to registration descriptor), for example 0x4B4C4641 ('KLVA') to indicate SMPTE 336 KLV.

`metadata_service_id` (int) –

metadata service to which this metadata descriptor applies, typically 0x00

`decoder_config_flags` (int) –

decoder flags, see ISO/IEC 13818-1:2018 Table 2-88.

`dsm_cc_flag` (bool) –

true if stream associated with this descriptor is in an ISO/IEC 13818-6 data or object carousel.

Since : 1.24

## Enumerations

### GstMpegtsMetadataFormat

metadata_descriptor metadata_format valid values. See ISO/IEC 13818-1:2018(E) Table 2-85.

##### Members

`GST_MPEGTS_METADATA_FORMAT_TEM` (16) –

ISO/IEC 15938-1 TeM.

(Since: 1.24)
`GST_MPEGTS_METADATA_FORMAT_BIM` (17) –

ISO/IEC 15938-1 BiM.

(Since: 1.24)
`GST_MPEGTS_METADATA_FORMAT_APPLICATION_FORMAT` (63) –

Defined by metadata application format.

(Since: 1.24)
`GST_MPEGTS_METADATA_FORMAT_IDENTIFIER_FIELD` (255) –

Defined by metadata_format_identifier field.

(Since: 1.24)

Since : 1.24

### GstMpegts.MetadataFormat

metadata_descriptor metadata_format valid values. See ISO/IEC 13818-1:2018(E) Table 2-85.

##### Members

`GstMpegts.MetadataFormat.TEM` (16) –

ISO/IEC 15938-1 TeM.

(Since: 1.24)
`GstMpegts.MetadataFormat.BIM` (17) –

ISO/IEC 15938-1 BiM.

(Since: 1.24)
`GstMpegts.MetadataFormat.APPLICATION_FORMAT` (63) –

Defined by metadata application format.

(Since: 1.24)
`GstMpegts.MetadataFormat.IDENTIFIER_FIELD` (255) –

Defined by metadata_format_identifier field.

(Since: 1.24)

Since : 1.24

### GstMpegts.MetadataFormat

metadata_descriptor metadata_format valid values. See ISO/IEC 13818-1:2018(E) Table 2-85.

##### Members

`GstMpegts.MetadataFormat.TEM` (16) –

ISO/IEC 15938-1 TeM.

(Since: 1.24)
`GstMpegts.MetadataFormat.BIM` (17) –

ISO/IEC 15938-1 BiM.

(Since: 1.24)
`GstMpegts.MetadataFormat.APPLICATION_FORMAT` (63) –

Defined by metadata application format.

(Since: 1.24)
`GstMpegts.MetadataFormat.IDENTIFIER_FIELD` (255) –

Defined by metadata_format_identifier field.

(Since: 1.24)

Since : 1.24

## Constants

### GST_TYPE_MPEGTS_METADATA_DESCRIPTOR

    #define GST_TYPE_MPEGTS_METADATA_DESCRIPTOR (gst_mpegts_metadata_descriptor_get_type ())

metadata_descriptor type

Since : 1.24

The results of the search are